## NAME

v.type - Changes type of vector features.

## KEYWORDS

vector, geometry, editing, area, line, point

## SYNOPSIS

v.type
v.type --help
v.type input=name [layer=string] output=name from_type=string to_type=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
output=name [required]
  Name for output vector map
from_type=string [required]
  Feature type to convert from
  Options: point, line, boundary, centroid, face, kernel
  Default: line
to_type=string [required]
  Feature type to convert to
  Options: point, line, boundary, centroid, face, kernel
  Default: boundary

## DESCRIPTION

v.type changes the type of geometry primitives.

The following vector object types are defined in GRASS:

- point: a point;
- line: a directed sequence of connected vertices with two endpoints called nodes;
- boundary: the border line describing an area;
- centroid: a point within a closed ring of boundaries;
- area: the topological composition of a closed ring of boundaries and a centroid;
- face: a 3D area;
- kernel: a 3D centroid in a volume (not yet implemented);
- volume: a 3D corpus, the topological composition of faces and kernel (not yet implemented).

Lines and boundaries can be composed of multiple vertices.

Area topology also holds information about isles. These isles are located within that area, not touching the boundaries of the outer area. Isles are holes inside the area, and can consist of one or more areas. They are used internally to maintain correct topology for areas.

## EXAMPLES

Convert lines to area boundaries

    v.type input=map_l output=map_b from_type=line to_type=boundary

In order to create areas, centroids must be added with v.centroids.

## SEE ALSO

v.centroids, v.to.points

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

## SOURCE CODE

Available at: v.type source code (history)

Latest change: Friday Aug 08 09:39:19 2025 in commit: ed72c71d8580e872cd6fd345c84a15c324764465

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual